<%@ Page Language="C#" %>
<%@ Import Namespace="System.Web.Services" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>ASP.NET AJAX Web Services: Web Service Sample With Classes Page</title>
     <script type="text/javascript"> 
    function OnGetForecast()
    {      
        var req = new PS.WeatherRequest();
        req.Zipcode = $get("_zipcodeTextBox").value;
        req.ForecastDate = new Date();
        PS.WeatherService.GetForecast(req, OnGetForecastComplete, OnError);   
    }
    
    function OnGetForecastComplete(result)
    {
      var slContent = $get("slControl").Content;
      var xamlElement = slContent.findName("tempTextBlock");
      xamlElement.Text = "Current temp: " + String(result.CurrentTemp);
      
      xamlElement = slContent.findName("weatherTextBlock");
      xamlElement.Text = "Current weather: " + result.CurrentWeather;

      xamlElement = slContent.findName("forecastTextBlock");
      xamlElement.Text = "Forecast: " + result.Forecast;
    }

    function OnError(result)
    {
      alert("Error: " + result.get_message());
    }
    </script>
    
</head>
<body>
    <form id="form1" runat="server">
    <div>
     <asp:ScriptManager ID="_scriptManager" runat="server">
      <Scripts>
        <asp:ScriptReference Path="~/Silverlight.js" />
      </Scripts>
      <Services>
        <asp:ServiceReference Path="~/services/WeatherService.asmx" />
      </Services>
    </asp:ScriptManager>

    <a href="Default.aspx">Back home</a>
    <hr />
    
    <h1>ASP.NET AJAX Web Services: Web Service Sample With Classes Page</h1>
     Zipcode: 
        <asp:TextBox runat="server" id="_zipcodeTextBox" Text="04090" />
        <br />
        <input onclick="OnGetForecast();" id="_getForecastButton" type="button" value="GetForecast" />
        <br />
        <div id="slControlHost">
        </div>

        <script type="text/javascript">
          Sys.Silverlight.createObject("Weather.xaml", 
               $get("slControlHost"), "slControl",
               {width:'400', height:'400', version:'0.95.0'}, 
               {onLoad:null, onError:null}, null);
        </script>
    </div>
    </form>
</body>
</html>
