<%@ WebService Language="C#" Class="PS.StockQuoteService" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Web.Script.Services;

namespace PS
{
    [WebService(Namespace = "http://pluralsight.com/ws")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [ScriptService]
    public class StockQuoteService : WebService
    {
        static Random _rand = new Random(Environment.TickCount);
        
        [WebMethod]
        public int GetStockQuote(string symbol)
        {
            return _rand.Next(0, 120);
        }

      [WebMethod]
      [ScriptMethod(ResponseFormat=ResponseFormat.Xml)]
      public int GetStockQuoteXml(string symbol)
        {
            return _rand.Next(0, 120);
        }

    }
}