<%@ WebService Language="C#" Class="PS.WeatherService" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Web.Script.Services;

namespace PS
{
    public class WeatherResult
    {
        public float CurrentTemp;
        public string CurrentWeather; 
        public string Forecast;
        public DateTime ForecastDate;
    }

    public class WeatherRequest
    {
        public string Zipcode;
        public DateTime ForecastDate;
    }

    [WebService(Namespace = "http://pluralsight.com/ws")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [ScriptService]
    public class WeatherService : WebService
    {
        [ScriptMethod(UseHttpGet=true, ResponseFormat=ResponseFormat.Xml)]
        [WebMethod]
        public WeatherResult GetForecast(WeatherRequest req)
        {
            WeatherResult res = new WeatherResult();
            res.ForecastDate = req.ForecastDate;
            res.CurrentTemp = 33;
            res.CurrentWeather = "Sunny";
            res.Forecast = "Chance of snow";
            return res;
        }
    }


}