Type.registerNamespace('Pluralsight');


  Pluralsight.SilverlightAjaxSphere = function(element) {
    Pluralsight.SilverlightAjaxSphere.initializeBase(this, [element]);
    this._title = null;
    this._xamlUrl = null;
  }


Pluralsight.SilverlightAjaxSphere.prototype =
{



    initialize: function()
    {
          Pluralsight.SilverlightAjaxSphere.callBaseMethod(this, 'initialize');
          
          var hostId = this.get_id() + 'Host';

          
          Silverlight.createObject(this._xamlUrl, $get(this.get_id()), hostId,
            { width:'300', height:'300', inplaceInstallPrompt:false,
              background:'white', isWindowless:'false', framerate:'24', version:'1.0' },
            { onError:null, onLoad:Function.createDelegate(this, this._onXamlLoaded) }, 
            null);    
     },

    // Within prototype declaration
    // Called once Silverlight control is initialized and Xaml elements can be accessed.
    _onXamlLoaded: function(root) {
      var sphere = root.content.findName('ellipse');
      if (sphere) {
          sphere.addEventListener('MouseLeftButtonDown',
                        Function.createDelegate(this, this._onSphereButtonDown));
      }        
      else
          alert('Xaml must have an ellipse element for this control to work');
          
      var title = root.content.findName('titleText');
      if (title)
          title.Text = this._title;       
    },   

    // Within prototype declaration
     
    _onSphereButtonDown: function(sender, args)
    {
       // Run the grow or shrink animation, depending on whether it is currently
       // 'grown' or 'shrunk'
       var animationName = (sender.Width==200) ? 
                                "growAnimation" : "shrinkAnimation";
          
        var sl = sender.getHost();
        var animation = sl.content.findName(animationName);
        if (animation)
           animation.begin();
    },



  get_title : function() { return this._title;  },
  set_title : function(value) {
     if (this._title !== value)
        this._title = value;            
  },
  get_xamlUrl : function() { return this._xamlUrl; },  
  set_xamlUrl : function(value) {
     if (this._xamlUrl !== value) 
        this._xamlUrl = value;
  }
}
Pluralsight.SilverlightAjaxSphere.registerClass(
             'Pluralsight.SilverlightAjaxSphere', Sys.UI.Control);

