if (!window.DynamicRectangle)
	window.DynamicRectangle = {};

DynamicRectangle.Scene = function() 
{
}

DynamicRectangle.Scene.prototype =
{
	handleLoad: function(plugIn, userContext, rootElement) 
	{
		
		rootElement.addEventListener("MouseLeftButtonDown", OnClick);
		
		var nextId = 1;
		
		function OnClick(sender, eventArgs)
		{
		    var mousePos = eventArgs.GetPosition(rootElement);
		    
//		    var xamlText = '<Rectangle Canvas.Left="' + mousePos.X + '" '
//		        + ' Canvas.Top="' + mousePos.Y + '" Fill="Blue" Width="30" Height="40" />';

            var name = "myRectangle" + nextId;
            nextId += 1;
            
            var xamlText = "<Rectangle Name='" + name + "' />"; 
		    
		    var newRect = plugIn.Content.CreateFromXaml(xamlText);
		    newRect["Width"] = 30;
		    newRect.Height = 40;
		    newRect.Fill = "Blue";
		    newRect["Canvas.Left"] = mousePos.X;
		    newRect["Canvas.Top"] = mousePos.Y;
		    rootElement.Children.Add(newRect);
		}
	}
}