﻿<%@ Page Language="C#" AutoEventWireup="true"  %>
<%@ Import Namespace="System.Web.Services" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Silverlight calling ASP.NET AJAX Web Services: Web Service Sample Page</title>
   <script type="text/javascript"> 
    function LookupStockQuote(sender, args)
    {           
      PS.StockQuoteService.GetStockQuote(sender.Text.substring(0,4),
                   OnLookupComplete, OnError, sender);
    }
    
    function OnLookupComplete(result, sender)
    {
      sender.Text = sender.Text.substring(0,4) + " : " + String(result);
    }

    function OnError(result, sender)
    {
      alert("Error: " + result.get_message());
    }
    
    function pageLoad(sender, args)
    {
      // Called after all scripts have been loaded
      // Change to StockQuoteUI2.xaml for formatted grid
      Silverlight.createObject("StockQuoteUI2.xaml", $get('slControlHost'), 
                                     "slControl",
                                     {width:'1024', height:'530',
                                     version:'1.0' },
                                     {onError:null, onLoad:null},
                                     null);         
    }
    </script>
    
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="_scriptManager" runat="server">
      <Scripts>
        <asp:ScriptReference Path="~/Silverlight.js" />
      </Scripts>
      <Services>
        <asp:ServiceReference Path="~/services/StockQuoteService.asmx" />
      </Services>
    </asp:ScriptManager>
    <div>
    <a href="Default.aspx">Back home</a>
    <hr />
    
    <h1>Silverlight calling ASP.NET AJAX Web Services: Web Service Sample Page</h1>
      <div id="slControlHost">
      </div>
       
    </div>
    </form>
</body>
</html>
