<%@ Page Language="C#" AutoEventWireup="true"  %>
<%@ Import Namespace="System.Web.Services" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>ASP.NET AJAX Web Services: Page Methods Sample Page</title>
    <script runat="server">
        private static Random _rand = new Random(Environment.TickCount);
        
        [WebMethod]
        public static float GetStockQuoteFromPage(string symbol)
        {
            return _rand.Next(0, 120);
        }
    </script>
    
    <script type="text/javascript"> 
    function OnLookup()
    {           
      var stb = $get("_symbolTextBox");  
      
      // Using page methods works only if ScriptManager EnablePageMethods=true
      PageMethods.GetStockQuoteFromPage(stb.value, OnLookupComplete);
    }
    
    function OnLookupComplete(result)
    {
      $get("_resultLabel").innerHTML = "<b>" + result + "</b>";
    }
    </script>
    
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="_scriptManager" runat="server" 
                       EnablePageMethods="true" />
    <div>
    <a href="Default.aspx">Back home</a>
    <hr />
    
    <h1>ASP.NET AJAX Web Services: Page Methods Sample Page</h1>
     Enter symbol: 
        <asp:TextBox runat="server" id="_symbolTextBox" Text="MSFT" />
        <br />
        <input onclick="OnLookup();" id="_lookupButton" type="button" value="Lookup" />
        <br />
        <asp:Label runat="server" id="_resultLabel" />
    </div>
    </form>
</body>
</html>
