<%@ Page Language="C#" ValidateRequest="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    protected void _lookupButton2_Click(object sender, EventArgs e)
    {
        xm.netxmethodsservicesstockquoteStockQuoteService sqs = new xm.netxmethodsservicesstockquoteStockQuoteService();
        _resultLabel.Text = sqs.getQuote(_symbolTextBox2.Text).ToString();
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Atlas Basics: Web Service Bridge Page</title>
    <script language="javascript" type="text/javascript">
      function OnLookup()
      {
        PS.StockQuoteServiceBridge.getQuote($get("_symbolTextBox1").value, 
                         OnLookupComplete,
                         OnLookupErrorOrTimeout, OnLookupErrorOrTimeout);
      }
      
      function OnLookupComplete(result)
      {
        $get("_result").innerHTML = result;
      }
      
      function OnLookupErrorOrTimeout(result)
      {
        alert("Error: " + result.get_message());
      }
    </script>
        
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="_scriptManager" runat="server" >
        <Services>
            <asp:ServiceReference Path="~/services/StockQuoteServiceBridge.asmx" />
        </Services>
    </asp:ScriptManager>   
     <div>
        <a href="Default.aspx">Back home</a>
        <h2>Traditional POST-back style remote Web service invocation</h2>
        Enter symbol:
        <asp:TextBox ID="_symbolTextBox2" runat="server" Width="97px"></asp:TextBox><br />
        <asp:Button ID="_lookupButton2" runat="server" OnClick="_lookupButton2_Click" 
                    Text="Lookup with post back" /><br />
        <asp:Label ID="_resultLabel" runat="server"></asp:Label><br />
        <br />
        <hr />
        <h2>Remote Web service invocation with cross-domain proxy</h2>
    Enter symbol: 
        <asp:TextBox runat="server" id="_symbolTextBox1" />
        <br />
        <input onclick="OnLookup();" id="_lookupButton1" type="button" value="Lookup" />
        <br />
        <span id="_result" />        
        <hr />
    
    </div>
    </form>
</body>
</html>
