if (!window.EventEncapsulation2)
	window.EventEncapsulation2 = {};

EventEncapsulation2.Scene = function() 
{
}

EventEncapsulation2.Scene.prototype =
{
	handleLoad: function(plugIn, userContext, rootElement) 
	{
		
		// Sample button event hookup: Find the button and then attach event handlers
		var button = rootElement.children.getItem(0);	
		
		button.addEventListener("MouseEnter", handleMouseEnter);
		button.addEventListener("MouseLeftButtonDown", handleMouseDown);
		button.addEventListener("MouseLeftButtonUp", handleMouseUp);
		button.addEventListener("MouseLeave", handleMouseLeave);
	
	    // Sample event handlers
	    function handleMouseEnter(sender, eventArgs) 
	    {
		    // The following code shows how to find an element by name and call a method on it.
		    var mouseEnterAnimation = sender.findName("mouseEnter");
		    mouseEnterAnimation.begin(); 
	    }
    	
	    function handleMouseDown(sender, eventArgs) 
	    {
		    var mouseDownAnimation = sender.findName("mouseDown");
		    mouseDownAnimation.begin(); 
	    }
    	
	    function handleMouseUp(sender, eventArgs) 
	    {
		    var mouseUpAnimation = sender.findName("mouseUp");
		    mouseUpAnimation.begin(); 
    		
		    // Put clicked logic here
		    alert("clicked");
	    }
    	
	    function handleMouseLeave(sender, eventArgs) 
	    {
		    var mouseLeaveAnimation = sender.findName("mouseLeave");
		    mouseLeaveAnimation.begin(); 
	    }
	
    }

}